package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterSetbaseVo;
/**
* 事项设定依据实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class MatterSetbaseEntity extends MatterSetbaseVo {
    private static final long serialVersionUID = 1L;

    /**
    * 事项matter id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 法规标题
    */
    private String policyName;
    /**
    * 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    */
    private String policyType;
    /**
    * 条例
    */
    private String policyitem;
    /**
    * 条款内容
    */
    private String content;
    /**
    * 事项来源，(0.政务网，1.自定义)
    */
    private Integer source;



    public MatterSetbaseEntity(){}
    /**
    * 获取 事项matter id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项matter id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 法规标题
    * @return String
    */
    public String getPolicyName(){
        return policyName;
    }
    /**
    * 设置 法规标题
    * @param policyName
    */
    public void setPolicyName(String policyName){
        this.policyName = policyName;
    }
    /**
    * 获取 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @return String
    */
    public String getPolicyType(){
        return policyType;
    }
    /**
    * 设置 法规类型，(法律.法律，行政法规.行政法规，地方法规.地方法规，部门规章.部门规章，其他.其他，政府规章.政府规章，规范性文件.规范性文件)
    * @param policyType
    */
    public void setPolicyType(String policyType){
        this.policyType = policyType;
    }
    /**
    * 获取 条例
    * @return String
    */
    public String getPolicyitem(){
        return policyitem;
    }
    /**
    * 设置 条例
    * @param policyitem
    */
    public void setPolicyitem(String policyitem){
        this.policyitem = policyitem;
    }
    /**
    * 获取 条款内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 条款内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 事项来源，(0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterSetbaseEntity) {
            MatterSetbaseEntity tmp = (MatterSetbaseEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",policyName:").append(getPolicyName());
        sb.append(",policyType:").append(getPolicyType());
        sb.append(",policyitem:").append(getPolicyitem());
        sb.append(",content:").append(getContent());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterId = 0L;

            this.matterName = null;

            this.policyName = null;

            this.policyType = "法律";

            this.policyitem = null;

            this.content = null;

            this.source = 0;
    }
}